com.independentsoft.exchange

## Class RelativeYearlyRecurrencePattern

- java.lang.Object
- - com.independentsoft.exchange.RelativeYearlyRecurrencePattern

- All Implemented Interfaces:
    RecurrencePattern, TaskRecurrencePattern, TimeChangePattern

      public class RelativeYearlyRecurrencePattern
      extends java.lang.Object
      implements RecurrencePattern, TaskRecurrencePattern, TimeChangePattern

  Describes a relative yearly recurrence pattern.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelativeYearlyRecurrencePattern()` Initializes a new instance of the RelativeYearlyRecurrencePattern class.
    `RelativeYearlyRecurrencePattern(Month month, java.util.List<DayOfWeek> days, DayOfWeekIndex dayIndex)` Initializes a new instance of the RelativeYearlyRecurrencePattern class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DayOfWeekIndex` | `getDayIndex()` Gets which week in a month is used in a relative yearly recurrence pattern.
    `java.util.List<DayOfWeek>` | `getDays()` Gets the days of the week that are used in item recurrence patterns.
    `Month` | `getMonth()` Gets the month when a yearly recurring item occurs.
    `void` | `setDayIndex(DayOfWeekIndex dayIndex)` Sets which week in a month is used in a relative yearly recurrence pattern.
    `void` | `setMonth(Month month)` Sets the month when a yearly recurring item occurs.
    `java.lang.String` | `toString()` Converts the value of the current RelativeYearlyRecurrencePattern object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RelativeYearlyRecurrencePattern

          public RelativeYearlyRecurrencePattern()

      Initializes a new instance of the RelativeYearlyRecurrencePattern class.

    - #### RelativeYearlyRecurrencePattern

          public RelativeYearlyRecurrencePattern(Month month,
                                                 java.util.List<DayOfWeek> days,
                                                 DayOfWeekIndex dayIndex)

      Initializes a new instance of the RelativeYearlyRecurrencePattern class.
      Parameters:
        `month` - the month
        `days` - the days
        `dayIndex` - the day index

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current RelativeYearlyRecurrencePattern object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getDays

          public java.util.List<DayOfWeek> getDays()

      Gets the days of the week that are used in item recurrence patterns.
      Returns:
        the days

    - #### getDayIndex

          public DayOfWeekIndex getDayIndex()

      Gets which week in a month is used in a relative yearly recurrence pattern.
      Returns:
        the day index

    - #### setDayIndex

          public void setDayIndex(DayOfWeekIndex dayIndex)

      Sets which week in a month is used in a relative yearly recurrence pattern.
      Parameters:
        `dayIndex` - the new day index

    - #### getMonth

          public Month getMonth()

      Gets the month when a yearly recurring item occurs.
      Returns:
        the month

    - #### setMonth

          public void setMonth(Month month)

      Sets the month when a yearly recurring item occurs.
      Parameters:
        `month` - the new month